package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceMatterDatumEntity;
/**
 * 设备事项申请材料业务查询对象
 *
 * @author zxfei
 * @date 2023-03-29
 */
public class DeviceMatterDatumQuery extends DeviceMatterDatumEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 站点ID排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 设备id */
    private Long deviceIdStart;

    /** 结束 设备id */
    private Long deviceIdEnd;

    /** 增加 设备id */
    private Long deviceIdIncrement;

    /** 设备id列表 */
    private List <Long> deviceIdList;

    /** 设备id排除列表 */
    private List <Long> deviceIdNotList;

    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 部门ID排除列表 */
    private List <Long> deptIdNotList;

    /** 部门编号 */
    private List<String> deptCodeList;

    /** 部门编号排除列表 */
    private List <String> deptCodeNotList;
    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 事项来源(0.政务网，1.自定义) */
    private Integer sourceStart;

    /** 结束 事项来源(0.政务网，1.自定义) */
    private Integer sourceEnd;

    /** 增加 事项来源(0.政务网，1.自定义) */
    private Integer sourceIncrement;

    /** 事项来源(0.政务网，1.自定义)列表 */
    private List <Integer> sourceList;

    /** 事项来源(0.政务网，1.自定义)排除列表 */
    private List <Integer> sourceNotList;

    /** 开始 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendStart;

    /** 结束 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendEnd;

    /** 增加 是否推荐(0.未推荐，1.推荐) */
    private Integer isRecommendIncrement;

    /** 是否推荐(0.未推荐，1.推荐)列表 */
    private List <Integer> isRecommendList;

    /** 是否推荐(0.未推荐，1.推荐)排除列表 */
    private List <Integer> isRecommendNotList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 排序排除列表 */
    private List <Integer> sortNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 事项全称 */
    private List<String> materiaFullNameList;

    /** 事项全称排除列表 */
    private List <String> materiaFullNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceMatterDatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceMatterDatumQuery> andConditionList;

    public DeviceMatterDatumQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点ID
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点ID
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点ID
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点ID
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点ID
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点ID
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 设备id
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 设备id
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 设备id
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 设备id
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 设备id
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 设备id
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 设备id
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 设备id
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 设备id
     * @return deviceIdNotList
     */
    public List<Long> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 设备id
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }


    /**
     * 获取 设备编码
     * @return deviceCodeList
     */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
     * 获取 设备编码
     * @return deviceCodeNotList
     */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeNotList
     */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameNotList
     */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameNotList
     */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
     * 获取 开始 事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 事项编码
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeNotList
     */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeNotList
     */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 开始 部门ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门ID
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门ID
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门编号
     * @return deptCodeList
     */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }

    /**
     * 获取 部门编号
     * @return deptCodeNotList
     */
    public List<String> getDeptCodeNotList(){
        return this.deptCodeNotList;
    }

    /**
     * 设置 部门编号
     * @param deptCodeNotList
     */
    public void setDeptCodeNotList(List<String> deptCodeNotList){
        this.deptCodeNotList = deptCodeNotList;
    }

    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 事项来源(0.政务网，1.自定义)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 事项来源(0.政务网，1.自定义)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 事项来源(0.政务网，1.自定义)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return sourceNotList
     */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceNotList
     */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
     * 获取 开始 是否推荐(0.未推荐，1.推荐)
     * @return isRecommendStart
     */
    public Integer getIsRecommendStart(){
        return this.isRecommendStart;
    }

    /**
     * 设置 开始 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendStart
     */
    public void setIsRecommendStart(Integer isRecommendStart){
        this.isRecommendStart = isRecommendStart;
    }

    /**
     * 获取 结束 是否推荐(0.未推荐，1.推荐)
     * @return $isRecommendEnd
     */
    public Integer getIsRecommendEnd(){
        return this.isRecommendEnd;
    }

    /**
     * 设置 结束 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendEnd
     */
    public void setIsRecommendEnd(Integer isRecommendEnd){
        this.isRecommendEnd = isRecommendEnd;
    }

    /**
     * 获取 增加 是否推荐(0.未推荐，1.推荐)
     * @return isRecommendIncrement
     */
    public Integer getIsRecommendIncrement(){
        return this.isRecommendIncrement;
    }

    /**
     * 设置 增加 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendIncrement
     */
    public void setIsRecommendIncrement(Integer isRecommendIncrement){
        this.isRecommendIncrement = isRecommendIncrement;
    }

    /**
     * 获取 是否推荐(0.未推荐，1.推荐)
     * @return isRecommendList
     */
    public List<Integer> getIsRecommendList(){
        return this.isRecommendList;
    }

    /**
     * 设置 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendList
     */
    public void setIsRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
    }

    /**
     * 获取 是否推荐(0.未推荐，1.推荐)
     * @return isRecommendNotList
     */
    public List<Integer> getIsRecommendNotList(){
        return this.isRecommendNotList;
    }

    /**
     * 设置 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendNotList
     */
    public void setIsRecommendNotList(List<Integer> isRecommendNotList){
        this.isRecommendNotList = isRecommendNotList;
    }


    /**
     * 获取 开始 排序
     * @return sortStart
     */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
     * 获取 结束 排序
     * @return $sortEnd
     */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
     * 获取 增加 排序
     * @return sortIncrement
     */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
     * 获取 排序
     * @return sortList
     */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
     * 获取 排序
     * @return sortNotList
     */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
     * 设置 排序
     * @param sortNotList
     */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 事项全称
     * @return materiaFullNameList
     */
    public List<String> getMateriaFullNameList(){
        return this.materiaFullNameList;
    }

    /**
     * 设置 事项全称
     * @param materiaFullNameList
     */
    public void setMateriaFullNameList(List<String> materiaFullNameList){
        this.materiaFullNameList = materiaFullNameList;
    }

    /**
     * 获取 事项全称
     * @return materiaFullNameNotList
     */
    public List<String> getMateriaFullNameNotList(){
        return this.materiaFullNameNotList;
    }

    /**
     * 设置 事项全称
     * @param materiaFullNameNotList
     */
    public void setMateriaFullNameNotList(List<String> materiaFullNameNotList){
        this.materiaFullNameNotList = materiaFullNameNotList;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public DeviceMatterDatumQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public DeviceMatterDatumQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public DeviceMatterDatumQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public DeviceMatterDatumQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public DeviceMatterDatumQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idNotList
     */
    public DeviceMatterDatumQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点ID
     * @param siteId
     */
    public DeviceMatterDatumQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点ID
     * @param siteIdStart
     */
    public DeviceMatterDatumQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点ID
     * @param siteIdEnd
     */
    public DeviceMatterDatumQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点ID
     * @param siteIdIncrement
     */
    public DeviceMatterDatumQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdList
     */
    public DeviceMatterDatumQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点ID
     * @param siteIdNotList
     */
    public DeviceMatterDatumQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  设备id
     * @param deviceId
     */
    public DeviceMatterDatumQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 设备id
     * @param deviceIdStart
     */
    public DeviceMatterDatumQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 设备id
     * @param deviceIdEnd
     */
    public DeviceMatterDatumQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 设备id
     * @param deviceIdIncrement
     */
    public DeviceMatterDatumQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 设备id
     * @param deviceIdList
     */
    public DeviceMatterDatumQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置 设备id
     * @param deviceIdNotList
     */
    public DeviceMatterDatumQuery deviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
        return this;
    }


    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public DeviceMatterDatumQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
        return this;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public DeviceMatterDatumQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
        return this;
    }


    /**
     * 设置 设备名称
     * @param deviceName
     */
    public DeviceMatterDatumQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public DeviceMatterDatumQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }

    /**
     * 设置  事项id
     * @param matterId
     */
    public DeviceMatterDatumQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public DeviceMatterDatumQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public DeviceMatterDatumQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public DeviceMatterDatumQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public DeviceMatterDatumQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public DeviceMatterDatumQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 事项编码
     * @param matterCode
     */
    public DeviceMatterDatumQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public DeviceMatterDatumQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public DeviceMatterDatumQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public DeviceMatterDatumQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }

    /**
     * 设置  部门ID
     * @param deptId
     */
    public DeviceMatterDatumQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public DeviceMatterDatumQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public DeviceMatterDatumQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public DeviceMatterDatumQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public DeviceMatterDatumQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门ID
     * @param deptIdNotList
     */
    public DeviceMatterDatumQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门编号
     * @param deptCode
     */
    public DeviceMatterDatumQuery deptCode(String deptCode){
        setDeptCode(deptCode);
        return this;
    }

    /**
     * 设置 部门编号
     * @param deptCodeList
     */
    public DeviceMatterDatumQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public DeviceMatterDatumQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public DeviceMatterDatumQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  事项来源(0.政务网，1.自定义)
     * @param source
     */
    public DeviceMatterDatumQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 事项来源(0.政务网，1.自定义)
     * @param sourceStart
     */
    public DeviceMatterDatumQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 事项来源(0.政务网，1.自定义)
     * @param sourceEnd
     */
    public DeviceMatterDatumQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 事项来源(0.政务网，1.自定义)
     * @param sourceIncrement
     */
    public DeviceMatterDatumQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceList
     */
    public DeviceMatterDatumQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param sourceNotList
     */
    public DeviceMatterDatumQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
    }

    /**
     * 设置  是否推荐(0.未推荐，1.推荐)
     * @param isRecommend
     */
    public DeviceMatterDatumQuery isRecommend(Integer isRecommend){
        setIsRecommend(isRecommend);
        return this;
    }

    /**
     * 设置 开始 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendStart
     */
    public DeviceMatterDatumQuery isRecommendStart(Integer isRecommendStart){
        this.isRecommendStart = isRecommendStart;
        return this;
    }

    /**
     * 设置 结束 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendEnd
     */
    public DeviceMatterDatumQuery isRecommendEnd(Integer isRecommendEnd){
        this.isRecommendEnd = isRecommendEnd;
        return this;
    }

    /**
     * 设置 增加 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendIncrement
     */
    public DeviceMatterDatumQuery isRecommendIncrement(Integer isRecommendIncrement){
        this.isRecommendIncrement = isRecommendIncrement;
        return this;
    }

    /**
     * 设置 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendList
     */
    public DeviceMatterDatumQuery isRecommendList(List<Integer> isRecommendList){
        this.isRecommendList = isRecommendList;
        return this;
    }

    /**
     * 设置 是否推荐(0.未推荐，1.推荐)
     * @param isRecommendNotList
     */
    public DeviceMatterDatumQuery isRecommendNotList(List<Integer> isRecommendNotList){
        this.isRecommendNotList = isRecommendNotList;
        return this;
    }

    /**
     * 设置  排序
     * @param sort
     */
    public DeviceMatterDatumQuery sort(Integer sort){
        setSort(sort);
        return this;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public DeviceMatterDatumQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
        return this;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public DeviceMatterDatumQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
        return this;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public DeviceMatterDatumQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
        return this;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public DeviceMatterDatumQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
        return this;
    }

    /**
     * 设置 排序
     * @param sortNotList
     */
    public DeviceMatterDatumQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DeviceMatterDatumQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DeviceMatterDatumQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DeviceMatterDatumQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DeviceMatterDatumQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DeviceMatterDatumQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DeviceMatterDatumQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 设置 事项全称
     * @param materiaFullName
     */
    public DeviceMatterDatumQuery materiaFullName(String materiaFullName){
        setMateriaFullName(materiaFullName);
        return this;
    }

    /**
     * 设置 事项全称
     * @param materiaFullNameList
     */
    public DeviceMatterDatumQuery materiaFullNameList(List<String> materiaFullNameList){
        this.materiaFullNameList = materiaFullNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceMatterDatumQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceMatterDatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceMatterDatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceMatterDatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}